curl --request POST \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}/triggers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"triggers": [
{
"name": "<string>",
"method": "GET",
"description": "<string>",
"summary": "<string>",
"parameters": [
{
"name": "<string>",
"in": "path",
"required": true,
"type": "string",
"default": "<string>"
}
]
}
],
"projectId": "<string>"
}
'[
{
"id": "<string>",
"systemId": "<string>",
"name": "<string>",
"description": "<string>",
"summary": "<string>",
"type": "http",
"method": "GET",
"parameters": [
{
"name": "<string>",
"in": "path",
"required": true,
"type": "string",
"default": "<string>"
}
]
}
]Create new triggers for a system. If the project ID parameter is provided in the request body, these triggers will also be linked with that project.
curl --request POST \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}/triggers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"triggers": [
{
"name": "<string>",
"method": "GET",
"description": "<string>",
"summary": "<string>",
"parameters": [
{
"name": "<string>",
"in": "path",
"required": true,
"type": "string",
"default": "<string>"
}
]
}
],
"projectId": "<string>"
}
'[
{
"id": "<string>",
"systemId": "<string>",
"name": "<string>",
"description": "<string>",
"summary": "<string>",
"type": "http",
"method": "GET",
"parameters": [
{
"name": "<string>",
"in": "path",
"required": true,
"type": "string",
"default": "<string>"
}
]
}
]Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
OK
http GET, POST, PUT, PATCH, DELETE, HEAD, OPTIONS Show child attributes